PC SOFT

AYUDA EN LÍNEA
 WINDEVWEBDEV Y WINDEV MOBILE

Este contenido se ha traducido automáticamente. Haga clic aquí para ver la versión en inglés.
  • Presentación
  • Configuración necesaria
  • Condiciones para usar un conector de progreso nativo
  • Archivo específico suministrado con el conector PostgreSQL nativo
  • aprovechamiento
  • Uso del conector PostgreSQL nativo en sus aplicaciones WINDEV y sitios WEBDEV
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaReportes y ConsultasCódigo de Usuario (UMC)
WEBDEV
WindowsLinuxPHPWEBDEV - Código Navegador
WINDEV Mobile
AndroidWidget Android iPhone/iPadApple WatchUniversal Windows 10 App
Otros
Procedimientos almacenados
Presentación
WINDEV y WEBDEV 27 incluyen un Conector Nativo PostgreSQL (o Acceso Nativo PostgreSQL), disponible en modo de 32 y 64 bits. Este Conector Nativo le permite acceder a una base de datos PostgreSQL desde un programa WLanguage sin utilizar ningún controlador externo.
Atención: Esta versión del Conector Nativo PostgreSQL funciona con WINDEV y WEBDEV versión 27.
Observación: El Conector Nativo PostgreSQL es un módulo opcional y gratuito que puede descargarse de el sitio de PC SOFT.
Configuración necesaria

Condiciones para usar un conector de progreso nativo

Le recomendamos que utilice una capa de cliente PostgreSQL reciente, cuya versión es idéntica a la versión de su servidor si es posible.
Para ello, es necesario:
  • copy las DLLs de la capa de cliente PostgreSQL en el directorio instalación de WINDEV o WEBDEV en la computadora de desarrollo.
  • copy las DLLs de la capa cliente de PostgreSQL en el directorio ejecutable o en el directorio de Windows en la computadora de desarrollo.
  • Instalar las DLLs de Visual runtime (paquete que puede ser descargado desde el sitio de Microsoft).
    Observación: La versión del tiempo de ejecución visual depende de la capa de cliente de PostgreSQL.
En el modo de 32 bits, si no se encuentran estas DLL, el Conector Nativo PostgreSQL utilizará una capa de cliente estándar (PostgreSQL versión 7.4.23). Contiene todas las funciones necesarias para la Conector Nativo y es compatible con servidores hasta la versión 9.6. Si utiliza un servidor de una versión más reciente, instale una versión de la capa de cliente compatible con su servidor.
Linux La capa cliente de PostgreSQL debe instalarse con el gestor de paquetes de la distribución Linux. También se instalarán las dependencias.
Ejemplo (Debian):
apt-get install libpq5
Observación: Para usar las conexiones SSL, debes instalar una capa de cliente PostgreSQL versión 9.1 o posterior.

Archivo específico suministrado con el conector PostgreSQL nativo

Para usar el conector PostgreSQL nativo:
  • en el modo de 32 bits, sólo se requiere la DLL wdxxxpostgresql.DLL. Este archivo se proporciona con el Conector Nativo PostgreSQL para WINDEV y WEBDEV.
  • en modo de 64 bits, sólo se requiere la DLL wdxxxpostgresql64.DLL. Este archivo se proporciona con el Conector Nativo PostgreSQL para WINDEV y WEBDEV.
aprovechamiento

Uso del conector PostgreSQL nativo en sus aplicaciones WINDEV y sitios WEBDEV

Para utilizar PostgreSQL en modo nativo, debe programar en la aplicación WINDEV o en el sitio WEBDEV:
Observaciones:
  • No se olvide de leer el documento limitaciones del Conector Nativo PostgreSQL.
  • La opción "Crear automáticamente los archivos de datos si no existen" (en la pestaña "Archivos" del proyecto description) es tenida en cuenta por el Conector Nativo PostgreSQL.
Versión mínima requerida
  • Versión 14
Esta página también está disponible para…
Comentarios
Haga clic en [Agregar] para publicar un comentario